<?
ob_start();
require'sys/head.php';
require'sys/conf.php';
require'sys/sess.php';
require'otsev.php';
echo"<b>Личная почта</b><br>";
if(empty($_GET[b])){
$c=$_GET['f'];echo"$c<br/>";$deder=$_GET['der'];
qw("UPDATE mess SET st='1' WHERE komu='$re1[strana]'");
///////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
$sum = $re0[n3]; // число записей на странице
$result = qw("SELECT count(*) as a from mess WHERE komu='$re1[strana]'"); 
$arr = mysql_fetch_row($result);$rec = $arr[0];
if(!isset($_GET['str'])){$str = 0;}else
{$str = $_GET['str'];}$start = $str * $sum;
$r = qw("SELECT * FROM mess  where komu='$re1[strana]' ORDER BY `id` DESC LIMIT $start, $sum");
$n = mysql_num_rows($r);for ($i = 0; $i < $n; $i++){
////////////////вывод
$m= mysql_fetch_array($r);
$time1=time();
$dr=$time1-$m['data'];
$sec2=$dr;
$hou2=floor($sec2/3600);
$sec2-=$hou2*3600;
$min2=floor($sec2/60);
$sec2-=$min2*60;
echo"[<b>$hou2</b>ч.<b>$min2</b>м.<b>$sec2</b>с.][<b>$m[kto]</b>]<br/>$m[text]<br/>";
if($m[tip]==1){echo'<a href="mail.php?b=7&s='.$m[id].'&der='.$key.'">Ответить</a><br/>------<br/>';}else{echo'-----<br/>';}
}
///////////////////////////////////////////////////////////
if ($str > 0){$p = $str - 1;
echo "<a href=mail.php?der=$key&str=$p>Назад</a>|";}
$str++;if($start + $n < $rec)
echo "|<a href=mail.php?der=$key&str=$str>Далее</a>"; 
////////////////
/////////
}
if($_GET[b]==33){
echo"Сообщение отправлено!<br/>";
}
if($_GET[b]==7){

echo'<FORM ACTION="mail.php?b=8&s='.$_GET[s].'&der='.$key.'" METHOD=POST>';?>
Сообщение:
<br/>
<input type="text" name="text" maxlength="180"/><br/>
<INPUT TYPE='submit'VALUE='Написать'></FORM><br/><?
}
if($_GET[b]==8){
$b2 = mysql_fetch_array(qw("SELECT kto FROM mess WHERE id='$_GET[s]'"));
$dat=time();$y=$_POST[text];
if(!empty($y)){
$y=text($y);
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$b2[kto]','$re1[strana]','$dat','0','1','$y')");
header("Location: mail.php?b=33&der=$key");
}else{
echo"Уже отправлено!<br/>";}
}
echo"<br/>---------<br/>";
echo'<a href="mail.php?der='.$key.'&b=5">Очистить</a><br/>';
if($_GET['b']==5){qw("DELETE FROM mess WHERE komu='$re1[strana]'");}else{}
mysql_close();
echo'<br/><a href="game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="out.php?der='.$key.'">Выход</a><br/>';
require'sys/foot.php';
?>